<div class="wrapper">
    <highcharts-chart id = "state-wise-chart" [Highcharts]="Highcharts" [constructorType]="chartConstructor" [options]="chartStateWiseOptions"
      style="width: 100%; height: 550px;"></highcharts-chart>
      <highcharts-chart id= "plant-wise-chart" [Highcharts]="Highcharts" [constructorType]="chartConstructor" [options]="chartPlantWiseOptions"
       style="width: 100%; height: 550px;"></highcharts-chart>
  <div class="state-dropdown">
    <mat-form-field appearance="fill">
      <mat-label>State</mat-label>
      <mat-select (selectionChange) = "handleStateSelection($event.value)" [value] = "selectedValue">
        <mat-option *ngFor="let state of states" [value]="state">{{ state.value }}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
</div>
